Skip to main content
Resource Center/Resource Pool/VM Instance Operations

ExportVmOvaPackage

ExportVmOvaPackage

POST/zstack/v1/ovf/ova-packages

Operation ID

ExportVmOvaPackage

Since

4.4.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • paramsstructure
    ObjectRequired

    paramsstructure request body object.

    • name
      String

      Optional. The resource name.

    • description
      String

      Optional. The resource description.

    • vmUuid
      StringRequired

      The VM UUID.

    • backupStorageUuid
      StringRequired

      The backup storage UUID.

    • resourceUuid
      String

      Optional. The resource UUID.

    • tagUuids
      List

      Optional. The tag UUIDs.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    VmInstanceInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The resource description.

    • vmUuid
      StringRequired

      The source VM UUID.

    • backupStorageUuid
      StringRequired

      The backup storage UUID.

    • exportUrl
      StringRequired

      The download address.

    • md5Sum
      StringRequired

      The MD5 sum of the image package.

    • format
      StringRequired

      The image package format.

    • size
      LongRequired

      The image package size.

    • createDate
      TimestampRequired

      The creation time.

    • lastOpDate
      TimestampRequired

      The last operation time.

    • state
      ImagePackageStateRequired

      See state.

      • Exporting
        ImagePackageStateRequired

        The image package is exporting.

      • Exported
        ImagePackageStateRequired

        The image package is exported.

  • Change Time

    AddedRequest body fields paramsstructure
    View API